%define version 0.4.2
%define name kfirewall
%define prefix %{_prefix}
%define release 10mdk

Name: %{name}
Summary: GUI for Ipchains
Summary(fr): Interface graphique pour Ipchains
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
Patch0: kfirewall-fix-Makefile.patch.bz2
URL: http://megaman.ypsilonia.net/kfirewall/
Group: System/Configuration/Networking
Copyright: GPL
BuildRequires: kde1-compat-devel XFree86-devel kdelibs qt-devel
Requires: kde1-compat qt >= 1.40
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{prefix}

%description
Kfirewall is a small GUI application which allows you to handle ipchains rules.
You can add/del rules and flush. This application must be run as root to have
any effect. Only the super user can change the ipchains rules.

%description -l fr
Kfirewall est une interface graphique qui permet de manipuler les regles de
Ipchains (firewall). Vous pouvez ajouter/supprimer des regles tres facilement.
Seul le root peut modifier les regles de ipchains.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0
find . -name \*.o | xargs rm -f
find . -name \*.moc | xargs rm -f
find . -name .deps | xargs rm -fr

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
CXXFLAGS="%{optflags}" make

%install
rm -rf $RPM_BUILD_ROOT

# (gc) not good to put %{_bindir} %{_datadir} here since the Makefile has static references to bin, share, etc.
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/doc/kde1/HTML/default
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/icons
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/applnk/Internet
mkdir -p $RPM_BUILD_ROOT/bin

make KDEDIR=$RPM_BUILD_ROOT/%{_prefix} kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/kde1-compat/share/icons
mv $RPM_BUILD_ROOT/%{_iconsdir}/stop.xpm $RPM_BUILD_ROOT/%{_libdir}/kde1-compat/share/icons/stop.xpm
mv $RPM_BUILD_ROOT/%{_iconsdir}/play.xpm $RPM_BUILD_ROOT/%{_libdir}/kde1-compat/share/icons/play.xpm

install -m755 scripts/getip scripts/getnetmask scripts/getloop $RPM_BUILD_ROOT/bin

# menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_prefix}/bin/kfirewall
%{_libdir}/kde1-compat/share/icons/stop.xpm
%{_libdir}/kde1-compat/share/icons/play.xpm
%{_prefix}/share/doc/kde1/HTML/default/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
/bin/getip
/bin/getloop
/bin/getnetmask

%changelog
* Tue Sep  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-10mdk
- fixed to better comply with kde1-compat
- had to separate location of icons..
- patched Makefile to pass our compile flags

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.2-9mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-8mdk
- BM
- now compliant with the kde1-compat suite

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-7mdk
- patched menu entry, added 32x32 icon

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-6mdk
- added icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-5mdk
- fixed install directory structure

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-4mdk
- new groups
- fixed url
- menu entry
- patched source so that it can actually build!

* Tue Aug 10 1999 Emmanuel Pare <ep@linux-mandrake.com>

- Make little change in the spec file.

* Sat Jul 31 1999 Emmanuel Pare <ep@linux-mandrake.com>

- Corrected the spec file (dont use anymore the make install)

* Fri Jul 30 1999 Emmanuel Pare <ep@linux-mandrake.com>
- 0.4.2
- Initial Mandrake RPM Release.

